﻿@using System;
@using System.Web.UI.WebControls
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;
@using Portal.Models.BuyingPriceMaintenance;
@using System.Data;
@using Portal.Controllers;

@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section ScriptReferences{
    <script type="text/javascript" src="@Url.Content("~/Content/js/BuyingPriceMaintenance.js")"></script>
}


<div" style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; width: 98%">
    @Html.Action("HeaderBuyingPricetInquiry", "BuyingPriceMaintenance")
    </div>


    <div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; width: 98%">
        <table width="100%">
            <tr style="height:5px"></tr> @* row spacing *@
            <tr>
                <td style="width:140px;">
                    <div>
                        @Html.DevExpress().HyperLink(
                                     Lnk =>
                                     {
                                         Lnk.Name = "LnkDownloadTemplate";
                                         Lnk.Properties.Text = "Download Template";
                                         Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                         Lnk.Properties.Style.Font.Underline = true;
                                         Lnk.ControlStyle.Cursor = "pointer";
                                         Lnk.Properties.ClientSideEvents.Click = "DownloadTemplate";
                                     }
                                 ).GetHtml()
                    </div>
                </td>
                <td style="display: inline-block;width: 290px;">
                    <div style="width: 190px;float: left;background-color: red;">
                        @using (Html.BeginForm("UploadCallback", "BuyingPrice", FormMethod.Post, new { enctype = "multipart/form-data" }))
                        {
                            @Html.DevExpress().UploadControl(u =>
                            {
                                u.Name = "BuyingPriceUpload";
                                u.BrowseButton.Text = "Browse";
                                u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                                u.ShowAddRemoveButtons = false;
                                u.Width = Unit.Pixel(190);

                                u.ValidationSettings.MaxFileSize = 10000000;
                                u.ValidationSettings.AllowedFileExtensions = new string[] { ".xls" };
                                //u.ValidationSettings.ShowErrors = true;
                                //u.ValidationSettings.ErrorStyle.BackColor;
                                u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                                u.ValidationSettings.NotAllowedFileExtensionErrorText = "xls only";

                                     u.CallbackRouteValues = new { Controller = "BuyingPriceMaintenance", Action = "OnUploadCallbackRouteValues" };

                                     u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";

                                     u.ShowProgressPanel = false;
                                     u.Style.Add("float", "left");

                                u.CallbackRouteValues = new { Controller = "BuyingPriceMaintenance", Action = "OnUploadCallbackRouteValues" };

                                u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";

                                u.ShowProgressPanel = false;
                                u.Style.Add("float", "left");

                            }).GetHtml()

                        }
                    </div>
                    <div style="width: 3px;float: left;">&nbsp</div>
                    <div style="width: 70px;float: left;">
                        @Html.DevExpress().Button(
                                    setting =>
                                    {
                                        setting.Name = "btnUpload";
                                        setting.Text = "Upload";
                                        setting.Width = Unit.Pixel(70);
                                        setting.UseSubmitBehavior = true;
                                        setting.Style.Add("display", "inline-table");
                                        setting.ClientSideEvents.Click = "upload";
                                        setting.Style.Add("float", "left");
                                    }
                                    ).GetHtml()
                    </div>
                </td>
                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "OIPWARPButton";
                            edtSetting.Text = "WARP";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "OnOIPWARPButtonClick";
                        }
                    ).GetHtml()
                </td>
                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "OIPAddButton";
                            edtSetting.Text = "Add";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "OnOIPAddButtonClick";
                        }
                    ).GetHtml()
                </td>
                @*<td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "OIPEditButton";
                            edtSetting.Text = "Edit";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "OnOIPEditButtonClick";
                        }
                    ).GetHtml()
                </td>*@
                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "OIPDeleteButton";
                            edtSetting.Text = "Delete";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "OnOIPDeleteButtonClick";
                        }
                    ).GetHtml()
                </td>

                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "OIPDownloadButton";
                            edtSetting.Text = "Download";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "OnOIPDownloadButtonClick";
                        }
                    ).GetHtml()
                </td>
            </tr>
        </table>

        @Html.Action("BuyingPriceInquiryPartial", "BuyingPriceMaintenance")
    </div>

    @Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "BuyingPriceAddedit";
        settings.HeaderText = "Buying Price Add/edit";
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(700);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(400);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ScrollBars = ScrollBars.Both;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        //settings.ClientSideEvents.Shown = "OnShowHandlerAddEdit";
        settings.SetContent(() =>
        {
            Html.RenderPartial("BuyingPriceAddEditPopup", Model);
        });
    }).GetHtml()

    @Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupNoDataFound";
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ShowHeader = false;
        settings.Modal = true;
        settings.SetContent(() =>
        {
            ViewContext.Writer.Write("<center>No Available Row<center><br/>");
            Html.DevExpress().Button(
                btsettings =>
                {
                    btsettings.Name = "btPopupNoDataFoundClose";
                    btsettings.Text = "Close";
                    btsettings.ClientSideEvents.Click = "function(s,e) { popupNoDataFound.Hide(); } ";
                }
            ).Render();
        });
    }).GetHtml()

    @Html.DevExpress().LoadingPanel(
    settings =>
    {
        settings.Name = "LoadingPanel";
        settings.Modal = true;
    }).GetHtml()

    <script type="text/javascript">
        $("input[name=AddEditValidTo]").val('31.12.9999');
    </script>
@section Script{
window.__base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
    new Uri(
        new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
        Url.Content("~/")
    ).ToString(), true));    
var __mew = window.location.href.split("/")[0]; 
var __meb = window.__base.split("/")[0];
if (__mew !== __meb) 
    window.__base = window.__base.replace(__meb, __mew); 

var paramBusinessArea   = '';
var paramMaterialNo     = '';
var paramMaterialDesc   = '';
var paramProdPurpose    = '';
var paramSourceType     = '';
var paramSupplieCd      = '';
var paramPartColorSfx   = '';
var paramPackingType    = '';
var paramPriceStatus    = '';
var paramPrice          = '';
var paramCurr           = '';
var paramValidFrom      = '';
var paramValidTo        = '';
var paramReleaseStatus  = '';
var gScreenMode ='';

var searchSupplieCd     = '';
var searchMaterialNo    = '';
var searchReleaseStatus = '';
var searchPriceStatus   = '';
var searchPriceType = '';
var searchBuyerCd = '';
var searchMatDesc = '';
var searchPackingType = '';
var searchSourceData = '';
var searchWarpRefNo = '';
var searchDeletionFlag = '';
var searchSourceType = '';
var searchPCNo = '';
var searchProdPurpose = '';
var searchCppFlag = '';
var searchValidFrom = '';
var searchValidTo = '';
}
        
